krsort
list
Array Functions
PHP Manual

# ksort

(PHP 4, PHP 5)

ksort — Sort an array by key

### Description

bool ksort ( array `&$array` [, int `$sort_flags` = SORT_REGULAR ] )

Sorts an array by key, maintaining key to data correlations. This is useful mainly for associative arrays.

### Parameters

`array`

  The input array.

`sort_flags`

  You may modify the behavior of the sort using the optional parameter `sort_flags`, for details see sort().

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 ksort() example

`<?php
$fruits = array("d"=>"lemon", "a"=>"orange", "b"=>"banana", "c"=>"apple");
ksort($fruits);
foreach ($fruits as $key => $val) {
echo "$key = $val\n";
}
?>`

The above example will output:

    a = orange
    b = banana
    c = apple
    d = lemon

### See Also

- asort() - Sort an array and maintain index association
- The comparison of array sorting functions

krsort
list
Array Functions
PHP Manual